
HSBC Demo - Feature #13006

Balance Coversion

17 January 2022 11:00 AM - Hoo Dextor

Status: Closed Start date: 17 January 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Platform: MDAS100 (SD)

Description

Balance conversion, refer to uploaded image for the flow with numbering

branch code: 

https://smes.silverlakegroup.com.my:4430/svn/mleb/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showro

om-nx-hsbc

logic of work:

1. the threshold of RM 500 set in json file, validate if the total amount selected by user more than RM 500 only can proceed to next

screen

2. the calculation of upfront interest -> total amount * (interest ) , for example: 600 * 1.88 = 11.28

3. installment per month -> total amount / total months, for example: 6 months tenure, 600 / 6 = 100

Value shall be carry from the user selection, * without ws call

History

#1 - 19 January 2022 05:58 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r215851 | ahmadsalehudin | 2022-01-19 17:39:32 MYT

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-ba

lance-conversion/cc-balance-conversion.module.ts

A

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-ba

lance-conversion

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/.DS_

Store

M /Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/app-routing.module.ts

A

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-ba

lance-conversion/cc-balance-conversion.scss

A

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-ba

lance-conversion/cc-balance-conversion.ts

A

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-ba

lance-conversion/cc-balance-conversion.html

M /Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-lis

ting.ts
#2 - 20 January 2022 11:15 AM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

Released v5.0.0.0 SIT

#3 - 11 March 2022 09:22 AM - Hoo Dextor

- Status changed from Pending SIT  to Closed

Files

balance conversion_01.jpg 41.8 KB 17 January 2022 Hoo Dextor

balance conversion_02.jpg 41 KB 17 January 2022 Hoo Dextor

balance conversion_03.jpg 29.9 KB 17 January 2022 Hoo Dextor

balance conversion_04.jpg 24.4 KB 17 January 2022 Hoo Dextor

Powered by TCPDF (www.tcpdf.org)

22 April 2025 2/2

http://www.tcpdf.org

